<template>
    <VCard class="mx-5 my-2 pa-3">
    <VRow>
        <VCol v-for="n in 96" cols="4" sm="3" md="2" lg="1">
            <VHover v-slot="{isHovering, props}">
            <VCard
            :elevation="isHovering ? 12 : 2"
            v-bind="prp"

            laion_url = "https://rom1504.github.io/clip-retrieval/?back=https%3A%2F%2Fknn5.laion.ai&index=laion5B&useMclip=false&query=female+drawing"
            
            @click="copyURL(`https://picsum.photos/500/300?image=${n * 5 + 10}${prp.isWithColor ? '' : '&grayscale'}`)">
                <v-img :src="`https://picsum.photos/500/300?image=${n * 5 + 10}${prp.isWithColor ? '' : '&grayscale'}`"
                    :lazy-src="`https://picsum.photos/10/6?image=${n * 5 + 10}${prp.isWithColor ? '' : '&grayscale'}`" 
                    aspect-ratio="1" cover
                    class="bg-grey-lighten-2">
                    <template v-slot:placeholder>
                        <v-row class="fill-height ma-0" align="center" justify="center">
                            <v-progress-circular indeterminate color="grey-lighten-5"></v-progress-circular>
                        </v-row>
                    </template>
                </v-img>
            </VCard>
        </VHover>
        </VCol>
    </VRow>
</VCard>
</template>

<script setup lang="ts">

const prp = defineProps(['isWithColor']);

const copyURL = async (url: any) => {
   await navigator.clipboard.writeText(url);
}

</script>